RubyMine 4.5.2 Hotfix

Hello everyone,

There was a very nasty bug that caused inability to undo changes in some situations. Thanks to your feedback we have caught and tamed it! Now it is fixed so please upgrade RubyMine to 4.5.2.

Use ‘Check for updates’ from the main menu to install the update without re-downloading. You can also download the new version from RubyMine web site.


Develop with pleasure!
JetBrains RubyMine Team

This entry was posted in Announcement. Bookmark the permalink.

14 Responses to RubyMine 4.5.2 Hotfix

  1. Thank you for the quick turn-around on this fix! Our entire team loves using Rubymine, keep the fantastic updates rolling.

  2. Henry Mayer says:

    Thanks for the fix!

  3. Fabricio Quagliariello says:

    Thanks for the fix. Very much aprecciated.

  4. Denis says:

    Вылетело окошко с обновлением. Нажал Remind me later. Теперь не могу принудительно вызвать обновление через Check for Updates

    • Tatiana Vasilyeva says:

      А какая версия, 4.5.1?

      • R says:

        This is also happening to me. I am currently using Rubymine 4.5.1. I used to get the popups reminding me of an update for 4.5.2 which I’ve responded by clicking the “Remind me later”. Now when I click “Check for updates” nothing shows up. How do I fix this? Or do I need to install an entirely new copy?

  5. Joseph says:

    Vielen dank!

  6. Daniel says:

    this upgrade crashed my RubyMine installation

    it won’t start anymore

    • Anna Kutarba says:

      Daniel, to reproduce the problem it would be useful to know which version of RubyMine you updated and which platform do you use.

  7. Charlie says:

    I’m using lasted 4.5.4 119.71 on OS X 10.7.5 and I’m still seeing the undo issue. Happens intermittently and I have not figured out repo steps. I get the dialog saying something (sorry, can’t repro) about a file /*.regexp. I’ve seen other posts on this and I’m getting the same dialog, just a different file name.

    Any suggestions would be great.

    Thanks,
    Charlie

    P.S. I’ve been on the old 3.2.4 for a while. I might have to actually switch back if this isn’t resolved.

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code class="" title="" data-url=""> <del datetime=""> <em> <i> <q cite=""> <strike> <strong> <pre class="" title="" data-url=""> <span class="" title="" data-url="">